| LibDriver W25QXX 1.0.0 W25QXX full function driver

Data Fields
w25qxx_handle_s Struct Reference
w25qxx driver function » w25qxx basic driver function

w25qxx handle structure definition More...

`#include <driver_w25qxx.h>`

## Data Fields
uint8_t(* | spi_qspi_init )(void)
uint8_t(* | spi_qspi_deinit )(void)
uint8_t(* | spi_qspi_write_read )(uint8_t instruction, uint8_t instruction_line, uint32_t address, uint8_t address_line, uint8_t address_len, uint32_t alternate, uint8_t alternate_line, uint8_t alternate_len, uint8_t dummy, uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len, uint8_t data_line)
void(* | delay_ms )(uint32_t ms)
void(* | delay_us )(uint32_t us)
void(* | debug_print )(const char *const fmt,...)
uint8_t | inited
uint16_t | type
uint8_t | address_mode
uint8_t | param
uint8_t | dummy
uint8_t | dual_quad_spi_enable
uint8_t | spi_qspi
uint8_t | buf [256+6]
uint8_t | buf_4k [4096+1]

## Detailed Description

w25qxx handle structure definition

Definition at line 209 of file driver_w25qxx.h.

## Field Documentation

## ◆ address_mode

uint8_t address_mode

address mode

Definition at line 223 of file driver_w25qxx.h.

## ◆ buf

uint8_t buf[256+6]

inner buffer

Definition at line 228 of file driver_w25qxx.h.

## ◆ buf_4k

uint8_t buf_4k[4096+1]

4k inner buffer

Definition at line 229 of file driver_w25qxx.h.

## ◆ debug_print

void(* debug_print) (const char *const fmt,...)

point to a debug_print function address

Definition at line 220 of file driver_w25qxx.h.

## ◆ delay_ms

void(* delay_ms) (uint32_t ms)

point to a delay_ms function address

Definition at line 218 of file driver_w25qxx.h.

## ◆ delay_us

void(* delay_us) (uint32_t us)

point to a delay_us function address

Definition at line 219 of file driver_w25qxx.h.

## ◆ dual_quad_spi_enable

uint8_t dual_quad_spi_enable

dual spi and quad spi enable

Definition at line 226 of file driver_w25qxx.h.

## ◆ dummy

uint8_t dummy

dummy

Definition at line 225 of file driver_w25qxx.h.

## ◆ inited

uint8_t inited

inited flag

Definition at line 221 of file driver_w25qxx.h.

## ◆ param

uint8_t param

param

Definition at line 224 of file driver_w25qxx.h.

## ◆ spi_qspi

uint8_t spi_qspi

spi qspi interface type

Definition at line 227 of file driver_w25qxx.h.

## ◆ spi_qspi_deinit

uint8_t(* spi_qspi_deinit) (void)

point to a spi_qspi_deinit function address

Definition at line 212 of file driver_w25qxx.h.

## ◆ spi_qspi_init

uint8_t(* spi_qspi_init) (void)

point to a spi_qspi_init function address

Definition at line 211 of file driver_w25qxx.h.

## ◆ spi_qspi_write_read

uint8_t(* spi_qspi_write_read) (uint8_t instruction, uint8_t instruction_line, uint32_t address, uint8_t address_line, uint8_t address_len, uint32_t alternate, uint8_t alternate_line, uint8_t alternate_len, uint8_t dummy, uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len, uint8_t data_line)

point to a spi_qspi_write_read function address

Definition at line 213 of file driver_w25qxx.h.

## ◆ type

uint16_t type

chip type

Definition at line 222 of file driver_w25qxx.h.

The documentation for this struct was generated from the following file:

- src/driver_w25qxx.h